Returns a ServerDescription for this server

- « MongoDB\Driver\Server::getPort

- MongoDB\Driver\Server::getTags »

- PHP Manual
- MongoDB\Driver\Server
- Returns a ServerDescription for this server

# MongoDB\Driver\Server::getServerDescription

(mongodb >=1.13.0)

MongoDB\Driver\Server::getServerDescription — Returns a ServerDescription for this server

### Description

final public MongoDB\Driver\Server::getServerDescription(): MongoDB\Driver\ServerDescription

Returns a MongoDB\Driver\ServerDescription for this server. This is an immutable value object that will describe the server at the time this method is called.

### Parameters

This function has no parameters.

### Return Values

Returns a MongoDB\Driver\ServerDescription for this server.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.